<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <title>Introdução à linguagem R:</title>
    <meta charset="utf-8" />
    <meta name="author" content="Maurício H. Vancine" />
    <link href="libs/remark-css/metropolis.css" rel="stylesheet" />
    <script src="https://use.fontawesome.com/5235085b15.js"></script>
  </head>
  <body>
    <textarea id="source">
class: center, middle, inverse, title-slide

# Introdução à linguagem R: <br><br>
## Funcionamento da linguagem R <br><br><br>
### Maurício H. Vancine
### 21/07/2019

---




class: clear, center, middle
background-image: url(https://www.rstudio.com/wp-content/uploads/2018/10/RStudio-Logo-flat.svg)
background-size: 600px
background-position: 50% 50%

---

# Funcionamento da linguagem R

## Tópicos
&lt;br&gt;
1. Linguagem R
&lt;br&gt;
2. Software RStudio
&lt;br&gt;
3. Scripts
&lt;br&gt;
4. Comentários (*#*)
&lt;br&gt;
5. Atribuição (*&lt;-*)
&lt;br&gt;
6. Funções
&lt;br&gt;
7. Pacotes
&lt;br&gt;
8. Workspace
&lt;br&gt;
9. Diretórios

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/falar_r.png)
background-size: 600px
background-position: 50% 70%

# 1. Linguagem R

## Todos conhecem o R e o RStudio?

---

class: inverse, middle, center

# Não confundam a **Linguagem R** com o software **RStudio**!

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/r_rstudio.png)
background-size: 800px
background-position: 50% 50%

# 1. Linguagem R

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/r_rstudio2.png)
background-size: 800px
background-position: 50% 50%

# 1. Linguagem R

---

# 1. Linguagem R

## O que é uma **linguagem de programação**?

--

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/programacao.png)
background-size: 800px
background-position: 50% 75%

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/r_funcionamento.png)
background-size: 700px
background-position: 50% 50%

# 1. Linguagem R
## Funcionamento do R

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio.png)
background-size: 700px
background-position: 50% 70%

# 2. RStudio

## Customizá-lo

`Ferramentas (Tools) -&gt; Opções Globais (Global Options) -&gt; Aparência (Appearance) -&gt; Tema do editor (Editor Theme)`

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/programar.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

## Programar

---

background-image: url(https://media.giphy.com/media/9o9dh1JRGThC1qxGTJ/giphy.gif)
background-size: 500px
background-position: 50% 70%

# 2. RStudio

## Programar

### Ter calma e paciência...

---

background-image: url(https://media.giphy.com/media/1r8SrQlamkYssy2WYX/giphy.gif)
background-size: 400px
background-position: 50% 75%

# 2. RStudio

## Programar

### É muito complicado no começo...

---

background-image: url(https://media.giphy.com/media/12bVDtXPOzYwda/giphy.gif)
background-size: 500px
background-position: 50% 70%


# 2. RStudio

## Programar

### Tentem não ficar furioso(a)s...

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/script1.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/script2.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

`R Script (Ctrl + Shift + N)`

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/script3.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio_console.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio_console.png)
background-size: 500px
background-position: 50% 98%

# 2. RStudio

## Descrição das janelas

- **Editor/Script**: é onde escrevemos nossos códigos
- **Console**: é onde os códigos são rodados e vemos as saídas
- **Environment**: painel com todos os objetos criados na sessão
- **History**: painel com o histórico dos comandos rodados
- **Files**: painel que mostra os arquivos no diretório de trabalho
- **Plots**: painel onde os gráficos são apresentados
- **Packages**: painel que lista os pacotes
- **Help**: painel onde a documentação das funções é exibida

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio_console_func.png)
background-size: 800px
background-position: 50% 50%

# 2. RStudio

## Funcionamento

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/script3.png)
background-size: 700px
background-position: 50% 85%

# 3. Editor/Roteiro (*code*/*script*)

## Script

- São **rascunhos** dos comandos
- Será neles que os **códigos serão escritos** e depois **enviados ao console do R**
- São **arquivos de texto simples**, que serão salvos no formato .R

---

# 3. Editor/Roteiro (*code*/*script*)

## Esclarecimentos

&lt;br&gt;&lt;br&gt;

### Isso é texto, não digite no R!

&lt;br&gt;


```r
print("Isso é o resultado que deve aparecer no console")
```

```
## [1] "Isso é o resultado que deve aparecer no console"
```

---

# 3. Editor/Roteiro (*code*/*script*)

## Escolham uma linha e digitem no *script*:

&lt;br&gt;&lt;br&gt;


```r
"Meu primeiro script no R."
"Meu segundo script no R."
"Meu milésimo script no R."
"Meu n-ésimo script no R."
```

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/script4.png)
background-size: 800px
background-position: 50% 50%

# 3. Editor/Roteiro (*code*/*script*)
`ctrl + S`

---

class: inverse, center, middle

# Calma!!!

---

class: inverse, center, middle

# Onde vocês iam salvar?!

---

class: inverse, center, middle
background-image: url(https://media.giphy.com/media/6gLyE15StAs3C/giphy.gif)
background-size: 700px
background-position: 50% 50%

---

# Vamos padronizar:

## Na raiz do `C:`,  criem essa pasta:

&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;

## `curso_sdm`

---

class: inverse, center, middle

# Calma!!!

---

class: inverse, center, middle

# Que nome vocês iam salvar?!

---

class: inverse, center, middle
background-image: url(https://media.giphy.com/media/6gLyE15StAs3C/giphy.gif)
background-size: 700px
background-position: 50% 50%

---

# Vamos padronizar:

&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;

### "script_intro_r_curso_sdm.R"

---

# Sigam as instruções

&lt;br&gt;&lt;br&gt;&lt;br&gt;

## 1. Fechem o RStudio

--

## 2. Abram o RStudio

--

## 3. Abram o script salvo

--

## 4. Apaguem seu conteúdo

---

# Primeiros comandos

### Todos os **comandos** serão digitados no **script**!

--

### Deixem o **cursor** em **qualquer local da linha** e executem essa linha utilizando essa **combinação**: 

### `ctrl + Enter`

--

### Vamos testar:

--


```r
1
```

```
## [1] 1
```
--

```r
1 + 2
```

```
## [1] 3
```

---

class: inverse, center, middle

# Todos entenderam como iremos fazer até o final do curso?

---

class: inverse, center, middle

# Muito bem, podem apagar essas duas linhas

---

# 4. Comentários (*#*)

### Comentários **não são lidos** pelo R

--

### São úteis para **descrever informações** sobre o **script** ou **comandos**s

--

### Cabeçalho


```r
### script curso sdm

# seu nome (escreva seu nome mesmo...)
# 21-07-2019
```

--

### Informações sobre os comandos


```r
## comentarios
# o r nao le o codigo depois do # (hash)
42 # esses palavras não são rodadas, apenas o 42
```

```
## [1] 42
```

---

# Calculadora

## Operações matemáticas simples


```r
## operacoes aritmeticas (+, -, *, /, ^)
10 + 2 # adicao
```

```
## [1] 12
```
--

```r
10 - 2 # subtracao
```

```
## [1] 8
```

---

# Colchetes

## Famigerados colchetes na resposta do console....


```r
## famigerados colchetes [] na resposta
10 + 2 # adicao
```

```
## [1] 12
```
--

```r
# indicam a posicao do numero em uma sequencia
10:60 # sequencia unitaria de 10 a 60
```

```
##  [1] 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
## [24] 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55
## [47] 56 57 58 59 60
```

---

class: inverse, middle, center

# Fácil até aqui? Então vamos complicar...

---

# 5. Atribuição (*&lt;-*)

### Possibilita a **manipulação de dados**

--

### Dados são "atribuídos" a **objetos**, que são **palavras** que "guardam" esses dados

--

### Iremos utilizar os símbolos **"&lt;" (menor)**, seguido de **"-" (menos)**, **sem espaço**!!!

&lt;br&gt;

--

## **palavra &lt;- dados**

### `alt + -`

---

# 5. Atribuição (*&lt;-*)

### Vamos atribuir o **valor 10** à palavra **obj_10**

--


```r
## atribuicao - simbolo (&lt;-)
obj_10 &lt;- 10 
```

--

### Agora a palavra **obj_10** vale **10**

---

class: inverse, center, middle
background-image: url(https://media.giphy.com/media/6uGhT1O4sxpi8/giphy.gif)
background-size: 700px
background-position: 50% 50%

---

# 5. Atribuição (*&lt;-*)

## Sempre **confira** a atribuição!!!

## Chame o objeto **novamente**!!!

--


```r
## atribuicao - simbolo (&lt;-)
obj_10 &lt;- 10 
*obj_10
```

```
## [1] 10
```

--

### Outro exemplo:

```r
## atribuicao - simbolo (&lt;-)
obj_2 &lt;- 2
*obj_2
```

```
## [1] 2
```

---

class: inverse, middle, center

# Os objetos podem ser visualizados no painel **Environment**

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio_ambiente.png)
background-size: 800px
background-position: 50% 50%

# 5. Atribuição (*&lt;-*)

##  Ambiente (*Environment*)

---

# 5. Atribuição (*&lt;-*)

## CUIDADO!
### O R **sobrescreve** os valores dos objetos com o **mesmo nome**!

--


```r
# sobreescrever o valor dos objetos
obj &lt;- 100
obj
```

```
## [1] 100
```
--

```r
obj &lt;- 2
obj
```

```
## [1] 2
```

---

# Operações com objetos

### Podemos utilizar **objetos** para fazer operações

--


```r
# definir dois objetos
va1 &lt;- 10
va1
```

```
## [1] 10
```

```r
va2 &lt;- 2
va2
```

```
## [1] 2
```

---

# Operações com objetos

### Podemos utilizar **objetos** para fazer operações


```r
# operacoes com objetos
va1 + va2 # adicao
```

```
## [1] 12
```
--

```r
va1 - va2 # subtracao
```

```
## [1] 8
```
--

---

# Atribuição de resultados à objetos

### Podemos ainda **atribuir os resultados** das operações a **objetos**


```r
# operacoes com objetos e atribuicao
adi &lt;- va1 + va2 # adicao
adi
```

```
## [1] 12
```
--

```r
sub &lt;- va1 - va2 # subtracao
sub
```

```
## [1] 8
```

---

class: inverse, middle, center

# Dúvidas até aqui?

---

# 6. Funções

## Funções
### **Comandos** que realizam **operações** em **argumentos**

--

## Estrutura de uma função:

### **nome_da_funcao**(**argumento1**, **argumento2**)


```r
## funcoes
# comandos que realizam operacoes em argumentos
# estrutura de uma funcao
# 1. nome da funcao - remete ao que ela faz
# 2. parenteses - limitam a funcao
# 3. argumentos - onde a funcao ira atuar 
# 4. virgulas - separam os argumentos
```

---

# 6. Funções

### Os **argumentos** de uma função podem ser de **dois tipos**:

--

1. **Objetos**: a função irá **alterar os valores** atribuídos aos objetos

--

2. **Parâmetros**: valores fixos que informam um **método** ou a realização de uma **operação**. Informamos o **nome desse argumento**, seguido de **"="** e um **texto**, como *TRUE* ou *FALSE*.

--

### Exemplo:

```r
sum(1, NA)
```

```
## [1] NA
```

```r
sum(1, NA, na.rm = TRUE)
```

```
## [1] 1
```

---

# 6. Funções

## Argumentos como **valores**

&lt;br&gt;&lt;br&gt;


```r
# funcoes - argumentos como valores
# soma
sum(10, 2)
```

```
## [1] 12
```

--

&lt;br&gt;


```r
# produto
prod(10, 2)
```

```
## [1] 20
```

---

# 6. Funções

## Argumentos como **objetos**

&lt;br&gt;&lt;br&gt;


```r
# funcoes - argumentos como objetos
# soma
sum(va1, va2)
```

```
## [1] 12
```

--

&lt;br&gt;


```r
# produto
prod(va1, va2)
```

```
## [1] 20
```

---

# 6. Funções

## Nomes dos argumentos


```r
# funcoes - nome dos argumentos
# repeticao - todos
rep(x = 1:5, times = 10)
```

```
##  [1] 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5
## [36] 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5
```

&lt;br&gt;&lt;br&gt;

--


```r
# repeticao - cada
rep(x = 1:5, each = 10)
```

```
##  [1] 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2 2 2 2 2 2 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4
## [36] 4 4 4 4 4 5 5 5 5 5 5 5 5 5 5
```

---

# 6. Funções

## Atribuição dos resultados das funções à objetos


```r
## atribuicao dos resultados
# repeticao - todos
rep_times &lt;- rep(x = 1:5, times = 10)
rep_times
```

```
##  [1] 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5
## [36] 1 2 3 4 5 1 2 3 4 5 1 2 3 4 5
```
--

```r
## atribuicao dos resultados
# repeticao - todos
rep_each &lt;- rep(x = 1:5, each = 10)
rep_each
```

```
##  [1] 1 1 1 1 1 1 1 1 1 1 2 2 2 2 2 2 2 2 2 2 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4
## [36] 4 4 4 4 4 5 5 5 5 5 5 5 5 5 5
```

---

class: inverse, middle, center

# Nesse momento, vocês já foram apresentados à 50% do funcionamento do R

---

# Atribuição, função e linha temporal

--

### 1. **Criar** dois objetos

```r
# criar dois objetos
foo &lt;- 2
bar &lt;- 3
```

--

### 2. **Somar** esses objetos e **atribuição** ao objeto *soma*

```r
# somar e atribuir
soma &lt;- sum(foo, bar)
soma
```

```
## [1] 5
```

---

# Atribuição, função e linha temporal

## Esse é o processo de programação no R: 

&lt;br&gt;&lt;br&gt;

## 1. **Atribuição** de dados a objetos

## 2. **Funções** que **operam e mudam** esses dados

## 3. Nova **atribuição** desses resultados a novos objetos

---

# Atribuição, função e linha temporal

### 1. **Criar** dois objetos

```r
# criar dois objetos
foo &lt;- 100
bar &lt;- 300
```

--

### 2. **Multiplicar** esses objetos e **atribuição** ao objeto *mult*

```r
# multiplicar e atribuir
mult &lt;- prod(foo, bar)
mult
```

```
## [1] 30000
```

---

class: inverse, middle, center

# E vocês devem estar se perguntando: e como ele sabe o nome das funções?!

---

class: inverse, middle, center
background-image: url(https://media.giphy.com/media/3oKIPmM4hkQIf4p5T2/giphy.gif)
background-size: 800px
background-position: 50% 50%

---

class: clear
background-image: url(http://material.curso-r.com/rbase/figures/ajuda_google.png)
background-size: 800px
background-position: 50% 50%

## Uma **maracutaia** para ajudar!

---

class: inverse, middle, center

# E de onde vêm as funções?!

---

# 6. Funções
## Funções vêm de **duas fontes**:

&lt;br&gt;&lt;br&gt;&lt;br&gt;

### 1. Pacotes já **instalados por padrão** e que são **carregados** quando abrimos o R

--
&lt;br&gt;

### 2. Pacotes que **instalamos** e **carregamos** com comandos

---

class: inverse, middle, center

# E o que são pacotes afinal?!

---

# 7. Pacotes

## **Coleção de funções** para executar **tarefas específicas**

--

### Verificar **pacotes carregados**

```r
# verificar pacotes carregados
search()
```

```
## [1] ".GlobalEnv"        "package:stats"     "package:graphics" 
## [4] "package:grDevices" "package:utils"     "package:datasets" 
## [7] "package:methods"   "Autoloads"         "package:base"
```
--
### Verificar **pacotes instalados**

```r
# verificar pacotes instalados
library()
```

---

# 7. Pacotes

## Instalar pacotes

--

### 1. Instala-se apenas **uma vez**

--

### 2. **Precisa** estar conectado à **internet**

--

### 3. O **nome do pacote precisa** estar entre **aspas**

--

### 4. Função (CRAN): 
`install.packages()`


```r
# instalar pacotes
install.packages("ggplot2")
```

---

# 7. Pacotes

##  Carregar pacotes

--

### 1. Carrega-se **toda vez** que se abre **uma nova sessão do R**

--

### 2. **Não precisa** estar conectado à **internet**

--

### 3. O **nome do pacote não precisa** estar entre **aspas**

--

### 4. Funções: 
`library()` ou `require()`



```r
# carregar pacotes
library(ggplot2)
```

---

# 7. Pacotes

## Atualização de pacotes
### Pacotes são **atualizados com frequência** (bimensal | semestral | anual)
--

### Pacotes **não atualizam sozinhos**

--

### É uma função que **demora** para rodar

&lt;br&gt;


```r
# atualizacao dos pacotes instalados 
update.packages(ask = FALSE) 
```

---

class: inverse, middle, center

# E onde ficam esses pacotes no meu notebook?

---

# 7. Pacotes

&lt;br&gt;&lt;br&gt;&lt;br&gt;

## Windows
C:/Users/**nome_do_computador**/Documentos/R/win-library/**numero_da_versao_r**

&lt;br&gt;

## Unix (Linux e MacOS):
/home/**nome_do_computador**/R/**tipo_do_computador**/**numero_da_versao_r**

---

# 7. Pacotes

## Exemplos:

### **vegan** – ecologia de comunidades e amostragens
### **raster** – dados de sig
### **ggplot2** – faz gráficos sensacionais!
### **bblme** – aic
### **dismo** – modelos de distribuição de espécies
### **tidyverse** – data science

---

class: inverse, middle, center

# E quantos pacotes existem?

---


# 7. Pacotes

&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;


```r
nrow(available.packages(repos = "http://cran.us.r-project.org"))
```

```
## [1] 14543
```

&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;&lt;br&gt;

https://cran.r-project.org/web/packages/available_packages_by_name.html

---

background-image: url(https://raw.githubusercontent.com/mauriciovancine/curso-r/master/imagens/rstudio_ambiente.png)
background-size: 800px
background-position: 50% 50%

# 8. Ambiente (*environment*/*workspace*)

---

# 8. Ambiente (*environment*/*workspace*)
### Listar todos os objetos criados

```r
# listar objetos criados
ls()
```

```
##  [1] "adi"       "bar"       "foo"       "mult"      "obj"      
##  [6] "obj_10"    "obj_2"     "rep_each"  "rep_times" "soma"     
## [11] "sub"       "va1"       "va2"
```
--

```r
objects()
```

```
##  [1] "adi"       "bar"       "foo"       "mult"      "obj"      
##  [6] "obj_10"    "obj_2"     "rep_each"  "rep_times" "soma"     
## [11] "sub"       "va1"       "va2"
```

---

background-image: url(https://media.giphy.com/media/xB1md2I2W16IXil1BO/giphy.gif)
background-size: 400px
background-position: 50% 80%

# 8. Ambiente (*environment*/*workspace*)

## CUIDADO!

### Toda a vez que **fechamos o R**, os objetos criados são **apagados**!

---

# 8. Ambiente (*environment*/*workspace*)

### Remover um objeto


```r
ls()
```

```
##  [1] "adi"       "bar"       "foo"       "mult"      "obj"      
##  [6] "obj_10"    "obj_2"     "rep_each"  "rep_times" "soma"     
## [11] "sub"       "va1"       "va2"
```
--

```r
rm(bar)
```
--

```r
ls()
```

```
##  [1] "adi"       "foo"       "mult"      "obj"       "obj_10"   
##  [6] "obj_2"     "rep_each"  "rep_times" "soma"      "sub"      
## [11] "va1"       "va2"
```

---

# 8. Ambiente (*environment*/*workspace*)

### Remover todos os objetos


```r
ls()
```

```
##  [1] "adi"       "foo"       "mult"      "obj"       "obj_10"   
##  [6] "obj_2"     "rep_each"  "rep_times" "soma"      "sub"      
## [11] "va1"       "va2"
```
--

```r
rm(list = ls())
```
--

```r
ls()
```

```
## character(0)
```

---

# 9. Diretório

## Endereço da pasta onde o R irá **importar e exportar** os dados

**Atalho**: `ctrl + shift + H`

--

### **Windows: inverter as barras ("\" por "/")!**


```r
## diretorio de trabalho
# pasta onde o r ira importar e exportar os arquivos

# definir o diretorio de trabalho
setwd("/home/mude/data/gitlab/course-sdm/11_aula_r")
```
--

```r
# verificar o diretorio
getwd()
```
--

```r
# verificar os arquivos
dir()
```

---

# 9. Diretório

## Criar e apagar pastas pastas


```r
# criar diretorio
dir.create("minha_pasta")
```
--

```r
# mudar diretorio
setwd("minha_pasta")
```
--

```r
# criar diretorio
dir.create("outra_pasta")
```
--

```r
# apagar diretorio
unlink("outra_pasta", recursive = TRUE)
```
---

# 9. Diretório

## Voltar um diretório


```r
# verificar diretorio
getwd()
```

```
## [1] "/home/mude/data/gitlab/course-sdm/11_aula_r"
```
--

```r
# voltar uma pasta
setwd("..")
```
--

```r
# verificar diretorio
getwd()
```

```
## [1] "/home/mude/data/gitlab/course-sdm/11_aula_r"
```
--

```r
# apagar diretorio
unlink("minha_pasta", recursive = TRUE)
```

---

class: inverse, middle, center

# Dúvidas?

---

class: clear, middle

## Maurício Vancine

&lt;br&gt;

Contatos:

|                                                                                                            |                                   |
| :--------------------------------------------------------------------------------------------------------- | :-------------------------------- |
| &lt;a href="mailto:mauricio.vancine@gmail.com"&gt;.RUred[&lt;i class="fa fa-envelope fa-fw"&gt;&lt;/i&gt;]               | mauricio.vancine@gmail.com       |
| &lt;a href="mauriciovancine.github.io"&gt;.RUred[&lt;i class="fa fa-link fa-fw"&gt;&lt;/i&gt;] | mauriciovancine.github.io |
| &lt;a href="http://twitter.com/mauriciovancine"&gt;.RUred[&lt;i class="fa fa-twitter fa-fw"&gt;&lt;/i&gt;]                          | @mauriciovancine                         |
| &lt;a href="http://gitlab.com/mauriciovancine"&gt;.RUred[&lt;i class="fa fa-gitlab fa-fw"&gt;&lt;/i&gt;]                          | @mauriciovancine                       |
| &lt;a href="http://github.com/mauriciovancine"&gt;.RUred[&lt;i class="fa fa-github fa-fw"&gt;&lt;/i&gt;]                          | @mauriciovancine                       |

Slides criados via pacote [xaringan](https://github.com/yihui/xaringan) e tema [Metropolis](https://github.com/pat-s/xaringan-metropolis).
    </textarea>
<style data-target="print-only">@media screen {.remark-slide-container{display:block;}.remark-slide-scaler{box-shadow:none;}}</style>
<script src="https://remarkjs.com/downloads/remark-latest.min.js"></script>
<script>var slideshow = remark.create({
"highlightLines": true,
"countIncrementalSlides": true
});
if (window.HTMLWidgets) slideshow.on('afterShowSlide', function (slide) {
  window.dispatchEvent(new Event('resize'));
});
(function(d) {
  var s = d.createElement("style"), r = d.querySelector(".remark-slide-scaler");
  if (!r) return;
  s.type = "text/css"; s.innerHTML = "@page {size: " + r.style.width + " " + r.style.height +"; }";
  d.head.appendChild(s);
})(document);

(function(d) {
  var el = d.getElementsByClassName("remark-slides-area");
  if (!el) return;
  var slide, slides = slideshow.getSlides(), els = el[0].children;
  for (var i = 1; i < slides.length; i++) {
    slide = slides[i];
    if (slide.properties.continued === "true" || slide.properties.count === "false") {
      els[i - 1].className += ' has-continuation';
    }
  }
  var s = d.createElement("style");
  s.type = "text/css"; s.innerHTML = "@media print { .has-continuation { display: none; } }";
  d.head.appendChild(s);
})(document);
// delete the temporary CSS (for displaying all slides initially) when the user
// starts to view slides
(function() {
  var deleted = false;
  slideshow.on('beforeShowSlide', function(slide) {
    if (deleted) return;
    var sheets = document.styleSheets, node;
    for (var i = 0; i < sheets.length; i++) {
      node = sheets[i].ownerNode;
      if (node.dataset["target"] !== "print-only") continue;
      node.parentNode.removeChild(node);
    }
    deleted = true;
  });
})();</script>

<script>
(function() {
  var links = document.getElementsByTagName('a');
  for (var i = 0; i < links.length; i++) {
    if (/^(https?:)?\/\//.test(links[i].getAttribute('href'))) {
      links[i].target = '_blank';
    }
  }
})();
</script>

<script>
slideshow._releaseMath = function(el) {
  var i, text, code, codes = el.getElementsByTagName('code');
  for (i = 0; i < codes.length;) {
    code = codes[i];
    if (code.parentNode.tagName !== 'PRE' && code.childElementCount === 0) {
      text = code.textContent;
      if (/^\\\((.|\s)+\\\)$/.test(text) || /^\\\[(.|\s)+\\\]$/.test(text) ||
          /^\$\$(.|\s)+\$\$$/.test(text) ||
          /^\\begin\{([^}]+)\}(.|\s)+\\end\{[^}]+\}$/.test(text)) {
        code.outerHTML = code.innerHTML;  // remove <code></code>
        continue;
      }
    }
    i++;
  }
};
slideshow._releaseMath(document);
</script>
<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
(function () {
  var script = document.createElement('script');
  script.type = 'text/javascript';
  script.src  = 'https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-MML-AM_CHTML';
  if (location.protocol !== 'file:' && /^https?:/.test(script.src))
    script.src  = script.src.replace(/^https?:/, '');
  document.getElementsByTagName('head')[0].appendChild(script);
})();
</script>
  </body>
</html>
